收藏
回答

更新到wx-server-sdk 的1.6.0版本后,使用DYNAMIC_CURRENT_ENV无效

问题模块 框架类型 问题类型 终端类型 AppID 基础库版本
云开发 小游戏 Bug 微信iOS客户端 wx4fbcba84a2ba021b 2.7.0

https://developers.weixin.qq.com/miniprogram/dev/wxcloud/reference-sdk-api/constant/constant.html


// 云函数入口文件

const cloud require'wx-server-sdk'


cloudinit({

env cloudDYNAMIC_CURRENT_ENV

});

有两个云环境,但是使用以上方法,无法找到当前环境下的数据库,而是调用默认数据库。已经检查过文档,文档说DYNAMIC_CURRENT_ENV

支持使用高于1.1.0以上的sdk,但是发现并不行,不管本地调试还是云端测试,看sdk版本都是最新的,(试过其他版本的也发现不行),现在只能将环境写死,但是这样对于上传云端要区分两个环境来说,非常不友好。辛苦排查一下问题所在

最后一次编辑于  2019-12-20
回答关注问题邀请回答
收藏

1 个回答

登录 后发表内容
问题标签